require 'jobserver'

# Create the jobs
myJobQueue = []
5.times{|i| myJobQueue << Job.new(:name=>"date job-#{i}",       :client_command=> "date")}
5.times{|i| myJobQueue << Job.new(:name=>"short date job-#{i}", :client_command=> "date +%Y-%m-%d_%H.%M")}
# Create the server
server = JobServer.new(myJobQueue) #run one local worker implicitly

# You may add some remote machines to which you have ssh access with public key authentication without password.
# server.add_ssh_worker("192.168.0.1")
# server.add_ssh_worker("foo@mymachine.xy.org","",2)

# Dump out statistics on the progress. 
# Default is to file "jobserver_stats.txt", every minute
server.dumpStatistics

# Wait until all jobs have finished
server.serve
